AladiaDocs
Api referenceSubjects areasSubjects

Retrieve a subject

GET
/v2/subjects-areas/{areaId}/subjects/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/v2/subjects-areas/{areaId}/subjects/string"
{  "id": "string",  "title": "string",  "color": "string",  "teachers": [    {      "id": "string",      "invited": true,      "fullName": "string",      "picture": "string",      "cover": "string",      "isFollowing": true,      "online": true,      "email": "string",      "story": {},      "organizationRole": "organization-owner",      "areaOwner": {},      "declined": true    }  ],  "courses": [    "string"  ],  "area": "string",  "numberOf": {},  "attachments": [    "string"  ],  "books": [    "string"  ],  "createdAt": "string",  "updatedAt": "string",  "createdBy": "string",  "updatedBy": "string",  "icon": "string",  "levels": [    {      "id": "string",      "title": "string",      "books": [        "string"      ]    }  ]}